# coding=utf-8
# *** WARNING: this file was generated by the Pulumi Terraform Bridge (tfgen) Tool. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import warnings
import pulumi
import pulumi.runtime
from typing import Any, Mapping, Optional, Sequence, Union, overload
from .. import _utilities
from . import outputs

__all__ = [
    'address',
    'ca_file',
    'ca_pem',
    'cert_file',
    'cert_pem',
    'consul_token',
    'headers',
    'http_auth',
    'key_file',
    'key_pem',
    'region',
    'secret_id',
    'vault_token',
]

__config__ = pulumi.Config('nomad')

address = __config__.get('address')
"""
URL of the root of the target Nomad agent.
"""

ca_file = __config__.get('caFile')
"""
A path to a PEM-encoded certificate authority used to verify the remote agent's certificate.
"""

ca_pem = __config__.get('caPem')
"""
PEM-encoded certificate authority used to verify the remote agent's certificate.
"""

cert_file = __config__.get('certFile')
"""
A path to a PEM-encoded certificate provided to the remote agent; requires use of key_file or key_pem.
"""

cert_pem = __config__.get('certPem')
"""
PEM-encoded certificate provided to the remote agent; requires use of key_file or key_pem.
"""

consul_token = __config__.get('consulToken')
"""
Consul token to validate Consul Connect Service Identity policies specified in the job file.
"""

headers = __config__.get('headers')
"""
The headers to send with each Nomad request.
"""

http_auth = __config__.get('httpAuth')
"""
HTTP basic auth configuration.
"""

key_file = __config__.get('keyFile')
"""
A path to a PEM-encoded private key, required if cert_file or cert_pem is specified.
"""

key_pem = __config__.get('keyPem')
"""
PEM-encoded private key, required if cert_file or cert_pem is specified.
"""

region = __config__.get('region')
"""
Region of the target Nomad agent.
"""

secret_id = __config__.get('secretId')
"""
ACL token secret for API requests.
"""

vault_token = __config__.get('vaultToken')
"""
Vault token if policies are specified in the job file.
"""

